/**
 * Copyright 2008-2009. Chongqing CRun Information Industry Co.,Ltd. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.jackson;

import java.net.URI;

import com.fasterxml.jackson.databind.module.SimpleModule;

/**
 * @author 田平 create 2017年10月27日下午4:29:43
 */
public class URIModule extends SimpleModule {

	private static final long serialVersionUID = 1L;

	public URIModule() {
		super();
		addSerializer(new URISerializer(URI.class));
		addDeserializer(URI.class, new URIDeserializer(URI.class));
	}

}
